From 4d53bf8e85dc729f8b0896b8a23907169c8a1e70 Mon Sep 17 00:00:00 2001
From: Slaven Rezic <slaven@rezic.de>
Date: Sat, 20 Jan 2018 14:11:39 +0100
Subject: [PATCH] use Hash::Merge::Simple instead of Hash::Merge (workaround
 for RT #123681)

---
 Makefile.PL                     | 2 +-
 lib/DBIx/Class/Schema/Loader.pm | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/Makefile.PL b/Makefile.PL
index 8f296f1..5809b75 100644
--- a/Makefile.PL
+++ b/Makefile.PL
@@ -46,7 +46,7 @@ requires 'Class::Inspector'            => '1.27';
 requires 'Class::Unload'               => '0.07';
 requires 'Data::Dump'                  => '1.06';
 requires 'DBIx::Class'                 => '0.08127';
-requires 'Hash::Merge'                 => '0.12';
+requires 'Hash::Merge::Simple'         => 0;
 requires 'Lingua::EN::Inflect::Number' => '1.1';
 requires 'Lingua::EN::Tagger'          => '0.23';
 requires 'Lingua::EN::Inflect::Phrase' => '0.15';
diff --git a/lib/DBIx/Class/Schema/Loader.pm b/lib/DBIx/Class/Schema/Loader.pm
index d100408..b3ac064 100644
--- a/lib/DBIx/Class/Schema/Loader.pm
+++ b/lib/DBIx/Class/Schema/Loader.pm
@@ -10,7 +10,7 @@ use Scalar::Util 'weaken';
 use Sub::Util 'set_subname';
 use DBIx::Class::Schema::Loader::Utils 'array_eq';
 use Try::Tiny;
-use Hash::Merge 'merge';
+use Hash::Merge::Simple 'merge';
 use namespace::clean;
 
 # Always remember to do all digits for the version even if they're 0
@@ -232,10 +232,10 @@ sub _merge_state_from {
 
     $self->_copy_state_from($from);
 
-    $self->class_mappings(merge($orig_class_mappings, $self->class_mappings))
+    $self->class_mappings(merge($self->class_mappings, $orig_class_mappings))
         if $orig_class_mappings;
 
-    $self->source_registrations(merge($orig_source_registrations, $self->source_registrations))
+    $self->source_registrations(merge($self->source_registrations, $orig_source_registrations))
         if $orig_source_registrations;
 }
 
-- 
2.1.4

